profanity (0.18.0-3) unstable; urgency=medium

  * d/control: Bump standards version to 4.7.4 (no change required).
  * d/rules: Add unit tests.
  * d/salsa-ci.yml: Add Salsa CI.
  * d/tests: Add basic autopkgtests.

 -- Martin Dosch <martin@mdosch.de>  Sun, 19 Apr 2026 13:44:18 +0000

profanity (0.18.0-2) unstable; urgency=medium

  * d/patches: Add upstream patch to resolve issues with async editor.

 -- Martin Dosch <martin@mdosch.de>  Mon, 13 Apr 2026 18:31:27 +0000

profanity (0.18.0-1) unstable; urgency=medium

  * New upstream version 0.18.0
  * d/patches: Remove no longer needed patch for libomemo.

 -- Martin Dosch <martin@mdosch.de>  Sat, 11 Apr 2026 14:54:58 +0000

profanity (0.17.0-1) unstable; urgency=medium

  * New upstream version 0.17.0

 -- Martin Dosch <martin@mdosch.de>  Thu, 26 Mar 2026 18:41:39 +0000

profanity (0.16.0-4) unstable; urgency=medium

  * Rebuild for unstable.

 -- Martin Dosch <martin@mdosch.de>  Sat, 21 Mar 2026 14:44:56 +0000

profanity (0.16.0-3) experimental; urgency=medium

  * Use libomemo instead of libsignal.

 -- Martin Dosch <martin@mdosch.de>  Sat, 21 Mar 2026 11:23:32 +0000

profanity (0.16.0-2) experimental; urgency=medium

  * Change build system to meson.

 -- Martin Dosch <martin@mdosch.de>  Thu, 19 Mar 2026 17:55:00 +0000

profanity (0.16.0-1) unstable; urgency=medium

  * New upstream release
  * Drop obsolete patch
  * Bump Standards-Version to 4.7.3, drop Priority: optional and Rules-Requiered-Root: no

 -- Martin <debacle@debian.org>  Fri, 27 Feb 2026 08:18:34 +0000

profanity (0.15.1-1) unstable; urgency=medium

  * New upstream version 0.15.1

 -- Martin Dosch <martin@mdosch.de>  Sun, 24 Aug 2025 18:34:13 +0000

profanity (0.15.0-1) unstable; urgency=medium

  * New upstream release

 -- Martin <debacle@debian.org>  Thu, 27 Mar 2025 20:09:19 +0000

profanity (0.14.0-3) unstable; urgency=medium

  * d/control: Bump standards version to 4.7.0 (no change).

 -- Martin Dosch <martin@mdosch.de>  Sat, 12 Oct 2024 19:22:13 +0000

profanity (0.14.0-2) unstable; urgency=medium

  * d/patches: Add PGP NULL check (Closes: #1080423).

 -- Martin Dosch <martin@mdosch.de>  Sun, 08 Sep 2024 12:01:05 +0000

profanity (0.14.0-1) unstable; urgency=medium

  * New upstream release with many improvements and bug fixes.
    See /usr/share/doc/profanity/changelog.gz or
    /usr/share/doc/profanity-light/changelog.gz

 -- Martin <debacle@debian.org>  Thu, 03 Aug 2023 19:47:26 +0000

profanity (0.13.1-3) unstable; urgency=medium

  * Add qr code support.

 -- Martin Dosch <martin@mdosch.de>  Tue, 13 Jun 2023 09:58:18 +0000

profanity (0.13.1-2) unstable; urgency=medium

  [Stefan Kropp]
  * Fixed d/watch file

 -- Martin <debacle@debian.org>  Sun, 26 Feb 2023 12:27:36 +0000

profanity (0.13.1-1) unstable; urgency=medium

  * Bug fix and maintenance release.

 -- Martin <debacle@debian.org>  Thu, 13 Oct 2022 19:21:45 +0000

profanity (0.13.0-1) unstable; urgency=medium

  * New upstream release.
    - fixes /autoaway command (Closes: #1017549)
      and many other issues
    - adds stream management (esp. for mobile use)
    See /usr/share/doc/profanity/changelog.gz or
    /usr/share/doc/profanity-light/changelog.gz
  * Add Martin Dosch <martin@mdosch.de> and
    Stefan Kropp <stefan.kropp@posteo.de> as uploaders.

 -- Martin <debacle@debian.org>  Tue, 13 Sep 2022 20:22:15 +0000

profanity (0.12.1-1) unstable; urgency=medium

  * New upstream release.

 -- Martin <debacle@debian.org>  Thu, 21 Apr 2022 19:36:15 +0000

profanity (0.12.0-2) unstable; urgency=medium

  * FTCBFS: reliance on unprefixed python3-config should be fixed.
    (Closes: #986654)

 -- Martin <debacle@debian.org>  Wed, 30 Mar 2022 23:40:02 +0000

profanity (0.12.0-1) unstable; urgency=medium

  * New upstream release with many improvements.
    See /usr/share/doc/profanity/changelog.gz or
    /usr/share/doc/profanity-light/changelog.gz
  * Remove two patches, applied upstream.

 -- Martin <debacle@debian.org>  Wed, 30 Mar 2022 17:26:00 +0000

profanity (0.11.1-1) unstable; urgency=medium

  * New upstream bug fix release

 -- Martin <debacle@debian.org>  Tue, 28 Sep 2021 20:38:16 +0000

profanity (0.11.0-1) unstable; urgency=medium

  * New upstream release with many improvements, e.g. for MAM
    (message archive management) and OX (OpenPGP for XMPP)
    See /usr/share/doc/profanity/changelog.gz or
    /usr/share/doc/profanity-light/changelog.gz
  * Update debian/watch (Closes: #991295)

 -- Martin <debacle@debian.org>  Sun, 25 Jul 2021 11:39:02 +0000

profanity (0.10.0-1) unstable; urgency=medium

  * New upstream release with many bug fixes and new features
    See /usr/share/doc/profanity/changelog.gz or
    /usr/share/doc/profanity-light/changelog.gz

 -- Martin <debacle@debian.org>  Sat, 09 Jan 2021 21:56:19 +0000

profanity (0.9.5-2) unstable; urgency=medium

  * Support GTK 3 (Closes: #967711)

 -- Martin <debacle@debian.org>  Wed, 05 Aug 2020 20:50:18 +0000

profanity (0.9.5-1) unstable; urgency=medium

  * New upstream bug fix release
  * Seems to compile with GCC-10 (Closes: #957709)

 -- Martin <debacle@debian.org>  Wed, 01 Jul 2020 22:58:56 +0000

profanity (0.9.3-1) unstable; urgency=medium

  * New upstream bug fix release

 -- Martin <debacle@debian.org>  Sun, 21 Jun 2020 08:48:31 +0000

profanity (0.9.1-1) unstable; urgency=medium

  * New upstream release, which will be easier to backport

 -- Martin <debacle@debian.org>  Thu, 11 Jun 2020 18:35:37 +0000

profanity (0.9.0-1) unstable; urgency=medium

  * New upstream release

 -- Martin <debacle@debian.org>  Tue, 09 Jun 2020 20:16:31 +0000

profanity (0.8.1-3) unstable; urgency=medium

  * Re-upload to unstable
  * Add upstream patch to use 12 bytes IV for OMEMO

 -- Martin <debacle@debian.org>  Sun, 23 Feb 2020 21:36:37 +0000

profanity (0.8.1-2) experimental; urgency=medium

  [Martin Dosch]
  * add profanity-light package without X11 and Python dependencies
    (Closes: #838232)

 -- Martin <debacle@debian.org>  Fri, 07 Feb 2020 23:13:28 +0000

profanity (0.8.1-1) unstable; urgency=medium

  * Bug fix release

 -- Martin <debacle@debian.org>  Fri, 07 Feb 2020 22:51:43 +0000

profanity (0.8.0-1) unstable; urgency=medium

  * New upstream release with many improvements,
    see /usr/share/doc/profanity/changelog.gz

 -- Martin <debacle@debian.org>  Mon, 03 Feb 2020 18:48:12 +0000

profanity (0.7.1-1) unstable; urgency=medium

  * Bug fix release (Closes: #940724)

 -- W. Martin Borgert <debacle@debian.org>  Tue, 24 Sep 2019 21:15:25 +0000

profanity (0.7.0-1) unstable; urgency=medium

  * New upstream release with OMEMO support and many bug fixes

 -- W. Martin Borgert <debacle@debian.org>  Sat, 03 Aug 2019 20:36:40 +0000

profanity (0.6.0+git20190718.1bb0556-2) unstable; urgency=medium

  * Upload to unstable

 -- W. Martin Borgert <debacle@debian.org>  Fri, 19 Jul 2019 08:46:10 +0000

profanity (0.6.0+git20190718.1bb0556-1) experimental; urgency=medium

  * New upstream snapshot with various fixes
  * Depends on new libsignal-protocol-c

 -- W. Martin Borgert <debacle@debian.org>  Thu, 18 Jul 2019 21:49:22 +0000

profanity (0.6.0+git20190503.4a165b8-2) experimental; urgency=medium

  * Try a patch to fix unit tests on 32-bit architectures

 -- W. Martin Borgert <debacle@debian.org>  Thu, 09 May 2019 22:17:34 +0000

profanity (0.6.0+git20190503.4a165b8-1) experimental; urgency=medium

  * New upstream snapshot with various fixes

 -- W. Martin Borgert <debacle@debian.org>  Sun, 05 May 2019 22:18:04 +0000

profanity (0.6.0+git20190424.9dd441a-1) experimental; urgency=medium

  * Upstream snapshot with OMEMO support

 -- W. Martin Borgert <debacle@debian.org>  Fri, 26 Apr 2019 22:13:36 +0000

profanity (0.6.0-1) unstable; urgency=medium

  * New upstream version

 -- W. Martin Borgert <debacle@debian.org>  Thu, 28 Feb 2019 23:34:56 +0000

profanity (0.5.1-4) unstable; urgency=medium

  * change Python version for plugins from 2 to 3

 -- W. Martin Borgert <debacle@debian.org>  Wed, 02 May 2018 20:46:59 +0000

profanity (0.5.1-3) unstable; urgency=medium

  * enable support for Python plugins

 -- W. Martin Borgert <debacle@debian.org>  Fri, 06 Apr 2018 21:37:39 +0000

profanity (0.5.1-2) unstable; urgency=medium

  * Temporarily disable another problematic unittest (Closes: #890996),
    upstream knows about the unittest issues
  * Bump dh compat to 11

 -- W. Martin Borgert <debacle@debian.org>  Sat, 24 Feb 2018 10:54:41 +0000

profanity (0.5.1-1) unstable; urgency=medium

  * New upstream version (Closes: #854735) finally
  * move to Debian XMPP Maintainers and salsa.debian.org
  * Bump standards version
  * Temporarily disabled problematic unittest (Closes: #852261),
    hopefully solved in next upstream release
  * Depend on current libstrophe (Closes: #857546)

 -- W. Martin Borgert <debacle@debian.org>  Tue, 20 Feb 2018 22:56:23 +0000

profanity (0.5.0-0.1) unstable; urgency=medium

  [Jack Henschel]
  * Non-maintainer upload
  * Imported Upstream version 0.5.0 (Closes: #824167)
    - requires new version of libstrophe (>= 0.9.0)
  * Enable GTK status bar icons, Xscreensaver timeout
    and C-plugin support
  * Patches
     - removed (obsolete) fix_spelling_error.patch
     - introduced new fix-spelling-errors.patch
  * Update Standards-Version to 3.9.8

  [Dariusz Dwornikowski]
  * added *.la file dependencies cleaning in d/rules
  * changed directory for the internal lib to /usr/lib/profanity
  * d/control:
    - updated VCS fields to secure
    - changed maintainer's email address
    - debhelper >=10
  * d/copyright:
    - added Jack Henschel
    - updated dates and emails


 -- Jack Henschel <jh@openmailbox.org>  Sat, 07 Jan 2017 15:25:00 +0100

profanity (0.4.7-1) unstable; urgency=medium

  * Imported Upstream version 0.4.7
  * Removed d/patches/add-cflags-linking.patch
  * Added fix-spelling patch
  * d/control:
    - added libreadline-dev to Build-Deps
    - added libgpgme11-dev to Build-Deps
    - added uuid-dev to Build-Deps
  * d/rules:
    - enabled gpg support

 -- Dariusz Dwornikowski <dariusz.dwornikowski@cs.put.poznan.pl>  Sat, 26 Sep 2015 16:47:33 +0200

profanity (0.4.6-1) unstable; urgency=medium

  * Imported Upstream version 0.4.6 (Closes: #780362)

 -- Dariusz Dwornikowski <dariusz.dwornikowski@cs.put.poznan.pl>  Fri, 13 Mar 2015 08:12:50 +0100

profanity (0.4.5-1) unstable; urgency=medium

  * Imported Upstream version 0.4.5
  * Removed fix-spelling.patch
    - fixed in upstream
  * Removed endian.patch
    - fixed in upstream
  * d/copyright
    - reomoved entry for endian.patch

 -- Dariusz Dwornikowski <dariusz.dwornikowski@cs.put.poznan.pl>  Mon, 10 Nov 2014 07:35:10 +0100

profanity (0.4.4-2) unstable; urgency=medium

  * Added fix for FTBS on big endian architectures (Closes: #766171)
  * Bump standards to 3.9.6 no changes needed
  * Added copyright information for d/patches/endian.patch

 -- Dariusz Dwornikowski <dariusz.dwornikowski@cs.put.poznan.pl>  Tue, 21 Oct 2014 12:57:59 +0200

profanity (0.4.4-1) unstable; urgency=medium

  * Initial release (Closes: #745872)

 -- Dariusz Dwornikowski <dariusz.dwornikowski@cs.put.poznan.pl>  Wed, 27 Aug 2014 12:34:59 +0200
